# Partially update a brand kit subsection

Partially updates a specific subsection (field) in a brand kit.
A brand kit includes default sections such as *Brand Context*, *Global Goals*, and *Tone of Voice*. Each section contains predefined subsections that reflect your brand guidelines.
Use this endpoint to update the properties of a subsection, such as intent, content, and AI editability. You can also use this endpoint to delete locale term values from the **Glossary and Localization** section.

Endpoint: PATCH /api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields/{fieldId}
Version: v1.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `organizationId` (string, required)
    The unique identifier of your organization.

 To get this value, in the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL, the `organizationId` comes after `organization=` .

  - `brandkitId` (string, required)
    The unique identifier of your brand kit.

 To get this value, use the [List brand kits](#operation/list_brand_kits) endpoint  to return the `id` of each brand kit in your organization. This is the same `id` returned when you create a brand kit using the [Create a brand kit](#operation/create_brand_kit) endpoint.

 Alternatively, you can open your brand kit in Stream. In the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL,  `brandkitId` comes after `brandkits/`.

  - `sectionId` (string, required)
    The unique identifier of your brand kit section.

 To get this value, use the [List brand kit sections](#operation/list_brand_kit_sections) endpoint. The `id` in the response is the section ID.

  - `fieldId` (string, required)
    The unique identifier of the brand kit subsection you want to update. 

 To get this value, use the [List brand kit subsections](#operation/list_brand_kit_section_fields) endpoint. The `id` in the response is the subsection ID.

## Request fields (application/json):

  - `deletable` (any)
    Whether the subsection can be deleted.
    Example: false

  - `name` (any)
    The name of the subsection to be updated.
    Example: Brand purpose

  - `verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `order` (any)
    The position of the subsection within the brand kit section. For example, in the *Global Goals* section, the `order` is `1` for the *Digital mandatories* subsection.
    Example: 1

  - `value` (any)
    The new content of the subsection in the brand kit section.
    Example: The core purpose is to fuel the potential of active individuals with clean, nutrient-dense energy solutions.

  - `intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `sources` (any)
    The brand documents the AI referenced to generate content for this subsection.

  - `aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content value when brand documents are reprocessed.
    Example: true

  - `updatedBy` (any)
    The user who last updated the subsection.
    Example: mman

  - `properties` (any)
    Additional properties for the subsection.

## Response 200:

  - `200` (unknown)
    Brand kit subsection updated successfully

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of the updated brand kit subsection.
    Example: b2f2e1a1-295d-4d40-88f2-93bf545bb878

  - `name` (string, required)
    The name of the subsection.
    Example: Brand purpose

  - `type` (string, required)
    The type of brand kit subsection.
    Enum: "text", "array", "richArray"

  - `order` (any)
    The order the subsection appears in the brand kit section. For example, if it is the first subsection,  `order` is `1`.
    Example: 1

  - `value` (any)
    The new value or content of the updated subsection.
    Example: Example brand guideline update.

  - `intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `deletable` (any)
    Whether the subsection can be deleted.
    Example: false

  - `verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `createdOn` (any)
    The date and time when the subsection was created, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `createdBy` (any)
    The user who created the subsection
    Example: mman

  - `updatedOn` (any)
    The date and time when the subsection was updated, formatted in ISO 8601.
    Example: 2025-06-06T09:33:13.486417Z

  - `updatedBy` (any)
    The user who last updated the subsection.
    Example: mman

  - `aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content value when brand documents are reprocessed.
    Example: true

  - `references` (any, required)
    The brand documents the AI referenced to generate content for this subsection.

  - `references.id` (string, required)
    The unique identifier of the reference document.
    Example: 2ad5c154-6404-49ed-9ffc-0603c360a5af

  - `references.path` (string, required)
    The location of the reference.
    Example: /path

  - `references.type` (string, required)
    The type of reference used.
    Example: document

  - `properties` (any)
    Additional properties for the subsection.

## Response 400:

  - `400` (unknown)
    Invalid parameters

## Response 400 fields (application/json):

  - `detail` (string, required)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `detail` (string, required)

## Response 409:

  - `409` (unknown)
    Brand Kit is locked

## Response 409 fields (application/json):

  - `detail` (string, required)

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

## Response 500:

  - `500` (unknown)
    Brand kit operation failed

## Response 500 fields (application/json):

  - `detail` (string, required)

